doctype html
- var base_url = 'http://localhost:1234/';
head
  meta(charset='utf-8')
  meta(http-equiv='X-UA-Compatible' content='IE=edge')
  meta(name='keywords' content='')
  meta(name='author' content='')
  meta(name='robots' content='')
  meta(name='viewport' content='width=device-width, initial-scale=1')
  meta(name='description' content='Jobick : Job Admin Bootstrap 5 Template')
  meta(property='og:title' content='Jobick : Job Admin Bootstrap 5 Template')
  meta(property='og:description' content='Jobick : Job Admin Bootstrap 5 Template')
  meta(property='og:image' content='https://jobick.dexignlab.com/xhtml/social-image.png')
  meta(name='format-detection' content='telephone=no')
  // PAGE TITLE HERE
  title Jobick Job Admin
  // FAVICONS ICON
  link(rel='shortcut icon' type='image/png' href='images/favicon.png')
  link(href='/vendor/jquery-nice-select/css/nice-select.css' rel='stylesheet')
  link(href='/css/style.css' rel='stylesheet')
  link(href='/vendor/sweetalert2/dist/sweetalert2.min.css' rel='stylesheet')
#preloader
  .lds-ripple
    div
    div

.nav-header
  a.brand-logo(href=base_url+'home',style='width:100% !important;height:100% !important')
    img.logo-abbr(src='https://global-uploads.webflow.com/5e157547d6f791d34ea4e2bf/6087f7f9e5ecc6e0633ecbc0_logo-example3.svg')

  .nav-control
    .hamburger
      span.line
      span.line
      span.line
.header
  .header-content
    nav.navbar.navbar-expand
      .collapse.navbar-collapse.justify-content-between
        .header-left
          .dashboard_bar
            | Dashboard
        ul.navbar-nav.header-right
          li.nav-item.dropdown.header-profile
            a.nav-link(href='javascript:void(0);' role='button' data-bs-toggle='dropdown')
              img(src='/images/profile/pic1.jpg' width='20' alt='')
            .dropdown-menu.dropdown-menu-end
              a.dropdown-item.ai-icon(href='./app-profile.html')
                svg.text-primary(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewbox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2')
                  circle(cx='12' cy='7' r='4')
                span.ms-2 Profile 
              a.dropdown-item.ai-icon(href='./email-inbox.html')
                svg.text-success(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewbox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z')
                  polyline(points='22,6 12,13 2,6')
                span.ms-2 Inbox 
              a.dropdown-item.ai-icon(href='./login.html')
                svg.text-danger(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewbox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4')
                  polyline(points='16 17 21 12 16 7')
                  line(x1='21' y1='12' x2='9' y2='12')
                span.ms-2 Logout 
          li.nav-item
.dlabnav(style="display:none;")#main-navbar
  .dlabnav-scroll
    ul#menu.metismenu
      li
        a.has-arrow(href='javascript:void()' aria-expanded='false')
          i.flaticon-025-dashboard
          span.nav-text Dashboard
        ul(aria-expanded='false')
          li
            a(href='index.html') Dashboard Light
          li
            a(href='index-2.html') Dashboard Dark
          li
            a(href='jobs-page.html') Jobs
          li
            a(href='application-page.html') Application
          li
            a(href='my-profile.html') Profile
          li
            a(href='statistics-page.html') Statistics
          li
            a(href='compaines.html') Companies
      li
        a.has-arrow(href='javascript:void()' aria-expanded='false')
          i.flaticon-043-menu
          span.nav-text Table
        ul(aria-expanded='false')
          li
            a(href='table-bootstrap-basic.html') Bootstrap
          li
            a(href='table-datatable-basic.html') Datatable
    .plus-box
      p.fs-14.font-w600.mb-2
        | Let Jobick Managed
        br
        | Your Resume Easily
        br
      p Lorem ipsum dolor sit amet
    .copyright
      p
        strong Jobick Job Admin
        |  &copy; 2021 All Rights Reserved
      p.fs-12
        | Made with 
        span.heart
        |  by DexignLabs
        
.content-body(style="display:none;")#main-content
  .container-fluid
    block content 

.footer
  .copyright
    p
      | Copyright &copy; Designed &amp; Developed by 
      a(href='https://dexignlab.com/' target='_blank') DexignLab
      |  2021
//- script(src='/vendor/global/global.min.js')
//- script(src='/vendor/jquery-nice-select/js/jquery.nice-select.min.js')
//- script(src='/js/custom.min.js')
//- script(src='/js/dlabnav-init.js')



script(src='/vendor/global/global.min.js')
script(src='/vendor/bootstrap-select/dist/js/bootstrap-select.min.js')
script(src='vendor/jquery-nice-select/js/jquery.nice-select.min.js')
script(src='/vendor/chart.js/Chart.bundle.min.js')
script(src='/vendor/lightgallery/js/lightgallery-all.min.js')
script(src='/js/custom.min.js')
script(src='/js/dlabnav-init.js')
script(src='/vendor/sweetalert2/dist/sweetalert2.min.js')
script.  
  const access_token = localStorage.getItem('access_token');
  check_authen(access_token);

  function check_authen(access_token){
    $.ajax({
      url: "#{base_url}users/check_login",
      headers: {
        'Authorization': 'Bearer '+access_token,
        'Content-Type':'application/json'
      },
      method: 'POST',
      dataType: 'json',
      success: function (data, status, xhr) {
        console.log('data ',data);
        console.log('status ',status);
        console.log('xhr ',xhr);
        if(data.result && status=='success' && xhr.status==200){
          console.log('true');
          $('#main-content').show();
          $('#main-navbar').show();
        }else{
          console.log('false');
          redirect_login();
        }

      },
      error: function (xhr, ajaxOptions, thrownError) {
        redirect_login();
      },
    });
  }

  function redirect_login(){
    swal({
          title: "ล้มเหลว!",
          text: "กรุณาล็อกอินใหม่อีกครั้ง!",
          type: "warning",
          confirmButtonColor: "#DD6B55",
        }).then(function() {
          window.location = "#{base_url}";
        });
  }

block script